| Home | Libraries | People | FAQ | More

## Function entry_invariant_failure

boost::contract::entry_invariant_failure — Call failure handler for class invariants at entry.

## Synopsis

    // In header: <boost/contract/core/exception.hpp>

    void entry_invariant_failure(from where);

## Description

This is often called only internally by this library.

Throws: This can throw in case programmers specify a failure handler that throws exceptions on contract assertion failures (not the default).

See Also:

Throw on Failure, Class Invariants, Volatile Public Functions

Parameters: |
`where` | Operation that failed the contract assertion (e.g., this might be useful to program failure handler functors that never throw from destructors, not even when they are programmed by users to throw exceptions instead of terminating the program).